#ifndef __MSSH_GCONF__
#define __MSSH_GCONF__

#include <gio/gio.h>

#define MSSH_GCONF_KEY_FONT             		"font"
#define MSSH_GCONF_KEY_FG_COLOUR        		"fg-colour"
#define MSSH_GCONF_KEY_BG_COLOUR        		"bg-colour"
#define MSSH_GCONF_KEY_FG_COLOUR_FOCUS          "fg-colour-focus"
#define MSSH_GCONF_KEY_BG_COLOUR_FOCUS          "bg-colour-focus"
#define MSSH_GCONF_KEY_COLUMNS          		"columns"
#define MSSH_GCONF_KEY_TIMEOUT          		"timeout"
#define MSSH_GCONF_KEY_CLOSE_ENDED      		"close-ended"
#define MSSH_GCONF_KEY_RECOLOR_FOCUSED          "recolor-focused"
#define MSSH_GCONF_KEY_QUIT_ALL_ENDED   		"quit-all-ended"
#define MSSH_GCONF_KEY_MODIFIER         		"modifier"
#define MSSH_GCONF_KEY_DIR_FOCUS        		"dir-focus"
#define MSSH_GCONF_KEY_BACKSCROLL_BUFFER_SIZE 	"backscroll-buffer-size"

void mssh_gconf_notify_font(GSettings *settings, const gchar *key,
                            gpointer data);
void mssh_gconf_notify_fg_colour(GSettings *settings, const gchar *key,
                                 gpointer data);
void mssh_gconf_notify_bg_colour(GSettings *settings, const gchar *key,
                                 gpointer data);
void mssh_gconf_notify_fg_colour_focus(GSettings *settings, const gchar *key,
                                       gpointer data);
void mssh_gconf_notify_bg_colour_focus(GSettings *settings, const gchar *key,
                                       gpointer data);
void mssh_gconf_notify_columns(GSettings *settings, const gchar *key,
                               gpointer data);
void mssh_gconf_notify_timeout(GSettings *settings, const gchar *key,
                               gpointer data);
void mssh_gconf_notify_close_ended(GSettings *settings, const gchar *key,
                                   gpointer data);
void mssh_gconf_notify_quit_all_ended(GSettings *settings, const gchar *key,
                                      gpointer data);
void mssh_gconf_notify_modifier(GSettings *settings, const gchar *key,
                                gpointer data);
void mssh_gconf_notify_dir_focus(GSettings *settings, const gchar *key,
                                 gpointer data);
void mssh_gconf_backscroll_buffer_size(GSettings *settings, const gchar *key,
                                       gpointer data);
void mssh_gconf_notify_recolor_focused(GSettings *settings, const gchar *key,
                                       gpointer data);

#endif
